List models filtered by user provider preferences, privacy settings, and guardrails
GET
https://novapai.ai/api/v1/models/user
GET
/api/v1/models/user
cURL
$curl https://novapai.ai/api/v1/models/user \
>-H "Authorization: Bearer <token>"200 Retrieved
reference-models-list-models-user-01.json
{
"data": [
{
"id": "openai/gpt-4",
"canonical_slug": "openai/gpt-4",
"name": "GPT-4",
"created": 1692901234,
"pricing": {
"prompt": "0.00003",
"completion": "0.00006",
"request": "0",
"image": "0"
},
"context_length": 8192,
"architecture": {
"modality": "text->text",
"input_modalities": ["text"],
"output_modalities": ["text"],
"tokenizer": "GPT",
"instruct_type": "chatml"
},
"top_provider": {
"is_moderated": true,
"context_length": 8192,
"max_completion_tokens": 4096
},
"supported_parameters": [
"temperature",
"top_p",
"max_tokens",
"frequency_penalty",
"presence_penalty"
],
"description": "GPT-4 is a large multimodal model that can solve difficult problems with greater accuracy."
}
]
}List models filtered by user provider preferences, privacy settings , and guardrails . If requesting through eu.novapai.ai/api/v1/... the results will be filtered to models that satisfy EU in-region routing .
Authentication
Authorization Bearer
API key as bearer token in Authorization header
Response
Returns a list of models filtered by user provider preferences
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| data | list of objects | - | List of available models |
Errors
| 状态码 | 说明 |
|---|---|
| 401 | Unauthorized Error |
| 404 | Not Found Error |
| 500 | Internal Server Error |